
Ruby - Bug #13159

[DOC] Revise documentation for OpenStruct

01/25/2017 09:03 PM - stomar (Marcus Stollsteimer)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.0p0 (2016-12-24 revision

57164) [i686-linux]

Backport: 2.2: DONE, 2.3: DONE, 2.4: DONE

Description

* update paragraph on implementation:

  define_singleton_method is used, not define_method

* add call-seq with return values for each_pair

* adopt description of dig from Array and Hash

* fix description of the hash method

* :nodoc: initialize_copy, respond_to_missing?

* other small improvements, e.g. use the term `attribute' in the docs

  (instead of `member'), which is clearer for users of the class

* improve code examples: e.g. use more consistent style (always use

  double quotes, drop `p' and `puts', ...), update inspect output,

  use example data that is not prone to change (like population)

* add more code examples

* fix some small errors and grammar

Associated revisions

Revision 44fbaaae46c32452beb5778b9f6020cd11fd68f6 - 03/11/2017 09:32 PM - stomar (Marcus Stollsteimer)

lib/ostruct.rb: [DOC] revise docs for OpenStruct

update paragraph on implementation:

define_singleton_method is used, not define_method

add call-seq with return values for each_pair

adopt description of dig from Array and Hash

fix description of the hash method

:nodoc: initialize_copy, respond_to_missing?

other small improvements, e.g. use the term attribute' in the docs (instead of member'), which is clearer for users of the class

improve code examples: e.g. use more consistent style (always use

double quotes, drop p' and puts', ...), update inspect output,

use example data that is not prone to change (like population)

add more code examples

fix some small errors and grammar

[ruby-core:79265] [Bug #13159]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57887 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 44fbaaae - 03/11/2017 09:32 PM - stomar (Marcus Stollsteimer)

lib/ostruct.rb: [DOC] revise docs for OpenStruct

update paragraph on implementation:

define_singleton_method is used, not define_method

add call-seq with return values for each_pair

adopt description of dig from Array and Hash

fix description of the hash method

:nodoc: initialize_copy, respond_to_missing?

other small improvements, e.g. use the term attribute' in the docs (instead of member'), which is clearer for users of the class

improve code examples: e.g. use more consistent style (always use

double quotes, drop p' and puts', ...), update inspect output,

use example data that is not prone to change (like population)

add more code examples

fix some small errors and grammar

[ruby-core:79265] [Bug #13159]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57887 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d823f587d19092699cf83e32760c7cc57a4c1b1c - 03/25/2017 06:35 PM - U.Nakamura 

merge revision(s) 57887: [Backport #13159]

    lib/ostruct.rb: [DOC] revise docs for OpenStruct

    * update paragraph on implementation:

      define_singleton_method is used, not define_method

    * add call-seq with return values for each_pair

    * adopt description of dig from Array and Hash

    * fix description of the hash method

    * :nodoc: initialize_copy, respond_to_missing?

    * other small improvements, e.g. use the term `attribute' in the docs

      (instead of `member'), which is clearer for users of the class

    * improve code examples: e.g. use more consistent style (always use

      double quotes, drop `p' and `puts', ...), update inspect output,

      use example data that is not prone to change (like population)

    * add more code examples

    * fix some small errors and grammar

    [ruby-core:79265] [Bug #13159]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@58124 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d823f587 - 03/25/2017 06:35 PM - U.Nakamura 

merge revision(s) 57887: [Backport #13159]

    lib/ostruct.rb: [DOC] revise docs for OpenStruct

    * update paragraph on implementation:

      define_singleton_method is used, not define_method

    * add call-seq with return values for each_pair

    * adopt description of dig from Array and Hash

    * fix description of the hash method

    * :nodoc: initialize_copy, respond_to_missing?

    * other small improvements, e.g. use the term `attribute' in the docs

      (instead of `member'), which is clearer for users of the class

    * improve code examples: e.g. use more consistent style (always use

      double quotes, drop `p' and `puts', ...), update inspect output,

      use example data that is not prone to change (like population)

    * add more code examples

    * fix some small errors and grammar

    [ruby-core:79265] [Bug #13159]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@58124 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 82f0265c90bcc6320c7b1739a3f741ba26c121b4 - 12/20/2017 02:56 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 57887: [Backport #13159]

    lib/ostruct.rb: [DOC] revise docs for OpenStruct

    * update paragraph on implementation:

      define_singleton_method is used, not define_method

    * add call-seq with return values for each_pair

    * adopt description of dig from Array and Hash

    * fix description of the hash method

    * :nodoc: initialize_copy, respond_to_missing?

    * other small improvements, e.g. use the term `attribute' in the docs

      (instead of `member'), which is clearer for users of the class

    * improve code examples: e.g. use more consistent style (always use

      double quotes, drop `p' and `puts', ...), update inspect output,

      use example data that is not prone to change (like population)

    * add more code examples

    * fix some small errors and grammar

    [ruby-core:79265] [Bug #13159]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@61364 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 82f0265c - 12/20/2017 02:56 PM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 57887: [Backport #13159]

    lib/ostruct.rb: [DOC] revise docs for OpenStruct

    * update paragraph on implementation:

      define_singleton_method is used, not define_method

    * add call-seq with return values for each_pair

    * adopt description of dig from Array and Hash

    * fix description of the hash method

    * :nodoc: initialize_copy, respond_to_missing?

    * other small improvements, e.g. use the term `attribute' in the docs

      (instead of `member'), which is clearer for users of the class

    * improve code examples: e.g. use more consistent style (always use

      double quotes, drop `p' and `puts', ...), update inspect output,

      use example data that is not prone to change (like population)

    * add more code examples

    * fix some small errors and grammar

    [ruby-core:79265] [Bug #13159]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@61364 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 59475e580546a204b30d8f92528213fb8732a8d6 - 01/31/2018 11:05 AM - U.Nakamura 

merge revision(s) 57887: [Backport #13159]

    lib/ostruct.rb: [DOC] revise docs for OpenStruct

    * update paragraph on implementation:

      define_singleton_method is used, not define_method

    * add call-seq with return values for each_pair

    * adopt description of dig from Array and Hash

    * fix description of the hash method

    * :nodoc: initialize_copy, respond_to_missing?

    * other small improvements, e.g. use the term `attribute' in the docs

      (instead of `member'), which is clearer for users of the class

    * improve code examples: e.g. use more consistent style (always use

      double quotes, drop `p' and `puts', ...), update inspect output,

      use example data that is not prone to change (like population)

    * add more code examples

    * fix some small errors and grammar

    [ruby-core:79265] [Bug #13159]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62127 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 59475e58 - 01/31/2018 11:05 AM - U.Nakamura 

merge revision(s) 57887: [Backport #13159]

    lib/ostruct.rb: [DOC] revise docs for OpenStruct

    * update paragraph on implementation:

      define_singleton_method is used, not define_method

    * add call-seq with return values for each_pair

    * adopt description of dig from Array and Hash

    * fix description of the hash method

    * :nodoc: initialize_copy, respond_to_missing?

    * other small improvements, e.g. use the term `attribute' in the docs

      (instead of `member'), which is clearer for users of the class

    * improve code examples: e.g. use more consistent style (always use

      double quotes, drop `p' and `puts', ...), update inspect output,

      use example data that is not prone to change (like population)

    * add more code examples

    * fix some small errors and grammar

    [ruby-core:79265] [Bug #13159]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62127 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/03/2017 09:00 PM - stomar (Marcus Stollsteimer)

- File deleted (doc_ostruct.patch)
#2 - 02/03/2017 09:03 PM - stomar (Marcus Stollsteimer)

- File doc_ostruct.patch added

Patch updated to reflect r57515 (return value of each_pair).

#3 - 03/11/2017 09:32 PM - stomar (Marcus Stollsteimer)

- Status changed from Open to Closed

Applied in changeset r57887.

lib/ostruct.rb: [DOC] revise docs for OpenStruct

update paragraph on implementation:

define_singleton_method is used, not define_method

add call-seq with return values for each_pair

adopt description of dig from Array and Hash

fix description of the hash method

:nodoc: initialize_copy, respond_to_missing?

other small improvements, e.g. use the term attribute' in the docs (instead of member'), which is clearer for users of the class

improve code examples: e.g. use more consistent style (always use

double quotes, drop p' and puts', ...), update inspect output,

use example data that is not prone to change (like population)

add more code examples

fix some small errors and grammar

[ruby-core:79265] [Bug #13159]

#4 - 03/23/2017 03:17 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED

#5 - 03/25/2017 06:35 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: DONE, 2.3: REQUIRED, 2.4: REQUIRED

ruby_2_2 r58124 merged revision(s) 57887.

#6 - 12/20/2017 02:56 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: DONE, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: DONE, 2.3: REQUIRED, 2.4: DONE

ruby_2_4 r61364 merged revision(s) 57887.

#7 - 01/31/2018 11:05 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: DONE, 2.3: REQUIRED, 2.4: DONE to 2.2: DONE, 2.3: DONE, 2.4: DONE

ruby_2_3 r62127 merged revision(s) 57887.

Files

doc_ostruct.patch 10.1 KB 02/03/2017 stomar (Marcus Stollsteimer)
